MMM Data API

MMM Data API, when used in conjunction with Data Lakes, configured in the MMM Data Platform UI, allows customers to programmatically verify the availability of new project data, identify specific delivered files, and locate them within the data lake.

Service: mmmdata.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://mmmdata.googleapis.com

REST Resource: v0.accounts

Methods
get GET /v0/{name=accounts/*}
Gets an account.

REST Resource: v0.accounts.advertisers

Methods
get GET /v0/{name=accounts/*/advertisers/*}
Gets an advertiser under an account.
list GET /v0/{parent=accounts/*}/advertisers
Lists all advertisers under an account.

REST Resource: v0.accounts.projects

Methods
create POST /v0/{parent=accounts/*}/projects
Creates a project.
get GET /v0/{name=accounts/*/projects/*}
Gets a project.
list GET /v0/{parent=accounts/*}/projects
Lists projects.

REST Resource: v0.accounts.projects.deliveries

Methods
get GET /v0/{name=accounts/*/projects/*/deliveries/*}
Gets a delivery for a given project.
list GET /v0/{parent=accounts/*/projects/*}/deliveries
Lists deliveries for a given project.

REST Resource: v0.accounts.projects.deliveries.deliveryFiles

Methods
get GET /v0/{name=accounts/*/projects/*/deliveries/*/deliveryFiles/*}
Gets a delivery file for a given delivery inside a project.
list GET /v0/{parent=accounts/*/projects/*/deliveries/*}/deliveryFiles
Lists delivery files for a given delivery of a project.